/*****
 NAME
 	longjmp-test.c
 */

#include <stdio.h>
#include <setjmp.h>

jmp_buf		env ;

void func1(void)
{
	printf("func1\n") ;
	longjmp(env, 1) ;
}

int main()
{
	int	result ;

	printf("*** long jmp test\n") ;
	result = setjmp(env) ;
	if(result == 0){
		printf("setjmp returns 0\n") ;
		printf("call func1\n") ;
		  func1() ;
		printf("return from func1\n") ;
	} else {
		printf("setjmp returns 1\n") ;
	}
	printf("bye.\n") ;
	return 0 ;
}

